### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-card/ecl-card-image.directive.ts`

### Implements

`OnChanges`

### Metadata

Selector | `[eclCardImage]`

### Index

###### Inputs
imageUrl
###### HostBindings
attr.aria-label attr.role class.ecl-card__image

### Constructor

`constructor(renderer: Renderer2, el: ElementRef)`
Parameters :
Name | Type | Optional
renderer | `Renderer2` | No
el | `ElementRef` | No

### Inputs

imageUrl
Type : `string`

### HostBindings

attr.aria-label
Default value : `'card image'`

attr.role
Default value : `'img'`

class.ecl-card__image
Default value : `true`

# result-matching ""

# No results matching ""